maven-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From i...@apache.org
Subject [1/7] add test repositories to test MRELEASE-875
Date Sun, 20 Jul 2014 11:57:06 GMT
Repository: maven-scm
Updated Branches:
  refs/heads/MRELEASE-875 [created] b8472f848


http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/pre-rebase.sample
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/pre-rebase.sample b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/pre-rebase.sample
new file mode 100755
index 0000000..9773ed4
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/pre-rebase.sample
@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/prepare-commit-msg.sample
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/prepare-commit-msg.sample b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/prepare-commit-msg.sample
new file mode 100755
index 0000000..f093a02
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/prepare-commit-msg.sample
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/update.sample
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/update.sample b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/update.sample
new file mode 100755
index 0000000..d847583
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/hooks/update.sample
@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/info/exclude
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/info/exclude b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/info/exclude
new file mode 100644
index 0000000..a5196d1
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/info/exclude
@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/00/3fede18ca7c39eedfa6bc8aebf40a05507bec8
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/00/3fede18ca7c39eedfa6bc8aebf40a05507bec8 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/00/3fede18ca7c39eedfa6bc8aebf40a05507bec8
new file mode 100644
index 0000000..b6bb6bf
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/00/3fede18ca7c39eedfa6bc8aebf40a05507bec8 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/01/da01a769d47b00f4e14e99aa1450c67657d0d2
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/01/da01a769d47b00f4e14e99aa1450c67657d0d2 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/01/da01a769d47b00f4e14e99aa1450c67657d0d2
new file mode 100644
index 0000000..4df737f
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/01/da01a769d47b00f4e14e99aa1450c67657d0d2 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/04/6c63780a8d68293e325b91df15e8c10b2966ce
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/04/6c63780a8d68293e325b91df15e8c10b2966ce b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/04/6c63780a8d68293e325b91df15e8c10b2966ce
new file mode 100644
index 0000000..f96a05a
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/04/6c63780a8d68293e325b91df15e8c10b2966ce differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/18/5b6afbaefc09d67215c2cefbfd51693362cce5
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/18/5b6afbaefc09d67215c2cefbfd51693362cce5 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/18/5b6afbaefc09d67215c2cefbfd51693362cce5
new file mode 100644
index 0000000..8ebec4d
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/18/5b6afbaefc09d67215c2cefbfd51693362cce5
@@ -0,0 +1 @@
+x+)JMU040f040031Q(��ի��aP��8��Ȏ�g:6i�n}��raTIQjbJn�^IE	����8t^[�v=Q�j�[�d��(%3�J��g��,��8Q�k���ɯO\,
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/22/2a63f1e431459c1161bceab26ca90fe2dcb59d
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/22/2a63f1e431459c1161bceab26ca90fe2dcb59d b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/22/2a63f1e431459c1161bceab26ca90fe2dcb59d
new file mode 100644
index 0000000..4058476
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/22/2a63f1e431459c1161bceab26ca90fe2dcb59d differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/25/2e88c3b6e714b8e7cc88b22a3db5e9f039a160
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/25/2e88c3b6e714b8e7cc88b22a3db5e9f039a160 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/25/2e88c3b6e714b8e7cc88b22a3db5e9f039a160
new file mode 100644
index 0000000..aa09e40
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/25/2e88c3b6e714b8e7cc88b22a3db5e9f039a160 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/29/ebb4956c34d2e4c521e7db408a399ab4e44431
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/29/ebb4956c34d2e4c521e7db408a399ab4e44431 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/29/ebb4956c34d2e4c521e7db408a399ab4e44431
new file mode 100644
index 0000000..ce1891e
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/29/ebb4956c34d2e4c521e7db408a399ab4e44431 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/2d/3414ba621811a90a273eca8d727806a1cff464
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/2d/3414ba621811a90a273eca8d727806a1cff464 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/2d/3414ba621811a90a273eca8d727806a1cff464
new file mode 100644
index 0000000..a656945
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/2d/3414ba621811a90a273eca8d727806a1cff464 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/3031da1f2ae6135efe5687afbd9d213b3f4c2b
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/3031da1f2ae6135efe5687afbd9d213b3f4c2b b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/3031da1f2ae6135efe5687afbd9d213b3f4c2b
new file mode 100644
index 0000000..4a164e3
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/3031da1f2ae6135efe5687afbd9d213b3f4c2b differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/8c2314f6a09f7fde3987d292763889844e02e7
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/8c2314f6a09f7fde3987d292763889844e02e7 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/8c2314f6a09f7fde3987d292763889844e02e7
new file mode 100644
index 0000000..63f602b
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/34/8c2314f6a09f7fde3987d292763889844e02e7 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/459fa9451a94fc1acd10e2e29ab73d93eb816d
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/459fa9451a94fc1acd10e2e29ab73d93eb816d b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/459fa9451a94fc1acd10e2e29ab73d93eb816d
new file mode 100644
index 0000000..6b6bfad
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/459fa9451a94fc1acd10e2e29ab73d93eb816d differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/d305c57c635aead10cf59f7c1dc51af03edaf7
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/d305c57c635aead10cf59f7c1dc51af03edaf7 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/d305c57c635aead10cf59f7c1dc51af03edaf7
new file mode 100644
index 0000000..0a079e7
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3b/d305c57c635aead10cf59f7c1dc51af03edaf7 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/375e66d9b1f4d8fd1a63b7ead5769ea5d7fcee
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/375e66d9b1f4d8fd1a63b7ead5769ea5d7fcee b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/375e66d9b1f4d8fd1a63b7ead5769ea5d7fcee
new file mode 100644
index 0000000..ffbe949
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/375e66d9b1f4d8fd1a63b7ead5769ea5d7fcee differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/f7bb86c15554148bf5b0b12bfd639e54a77e58
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/f7bb86c15554148bf5b0b12bfd639e54a77e58 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/f7bb86c15554148bf5b0b12bfd639e54a77e58
new file mode 100644
index 0000000..c8859bd
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3c/f7bb86c15554148bf5b0b12bfd639e54a77e58 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3f/1b35f35f7ba0089a5436f3c5d9ae2a1f2503f2
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3f/1b35f35f7ba0089a5436f3c5d9ae2a1f2503f2 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3f/1b35f35f7ba0089a5436f3c5d9ae2a1f2503f2
new file mode 100644
index 0000000..0267ac9
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/3f/1b35f35f7ba0089a5436f3c5d9ae2a1f2503f2 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/4d/97db4d39cfeab1da24053bfbfef25d3f2c3004
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/4d/97db4d39cfeab1da24053bfbfef25d3f2c3004 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/4d/97db4d39cfeab1da24053bfbfef25d3f2c3004
new file mode 100644
index 0000000..a5c1b37
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/4d/97db4d39cfeab1da24053bfbfef25d3f2c3004 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/51/5ff07d60e90b7229ebfb2d422d256812c83399
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/51/5ff07d60e90b7229ebfb2d422d256812c83399 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/51/5ff07d60e90b7229ebfb2d422d256812c83399
new file mode 100644
index 0000000..6ec0aa4
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/51/5ff07d60e90b7229ebfb2d422d256812c83399 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/5d/f026df8f337f8ed367e1891779a5e837789ad9
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/5d/f026df8f337f8ed367e1891779a5e837789ad9 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/5d/f026df8f337f8ed367e1891779a5e837789ad9
new file mode 100644
index 0000000..d92edb8
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/5d/f026df8f337f8ed367e1891779a5e837789ad9 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/4a3fd04313593d67f4154855a06941046326b3
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/4a3fd04313593d67f4154855a06941046326b3 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/4a3fd04313593d67f4154855a06941046326b3
new file mode 100644
index 0000000..bca48ac
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/4a3fd04313593d67f4154855a06941046326b3 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/a0d22b023d6e31894d736cca8c1a47b6edd822
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/a0d22b023d6e31894d736cca8c1a47b6edd822 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/a0d22b023d6e31894d736cca8c1a47b6edd822
new file mode 100644
index 0000000..26470db
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/61/a0d22b023d6e31894d736cca8c1a47b6edd822 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/62/1ccd26fbce46da0e4b11528630789056175a9d
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/62/1ccd26fbce46da0e4b11528630789056175a9d b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/62/1ccd26fbce46da0e4b11528630789056175a9d
new file mode 100644
index 0000000..75c957b
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/62/1ccd26fbce46da0e4b11528630789056175a9d differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6b/04964fde0be6765059f24a965f5d565a494318
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6b/04964fde0be6765059f24a965f5d565a494318 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6b/04964fde0be6765059f24a965f5d565a494318
new file mode 100644
index 0000000..d011d5d
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6b/04964fde0be6765059f24a965f5d565a494318 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6e/e023ce34f9dd5f3d579eed3d72277f17046b27
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6e/e023ce34f9dd5f3d579eed3d72277f17046b27 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6e/e023ce34f9dd5f3d579eed3d72277f17046b27
new file mode 100644
index 0000000..4d34471
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6e/e023ce34f9dd5f3d579eed3d72277f17046b27
@@ -0,0 +1,2 @@
+x��=
+1@a�bzA�?	�XYy�lf¦�Yb���
l^��˽�:AK���L6��{��*�B!��Y�9�#,�Yli�m��!k�l�IƂ��Ā��FoB��Z��Q��\���:��z����|����(+�o쥖R����?�����z#?�
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6f/311acafe33884da65e09336112f552bba363eb
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6f/311acafe33884da65e09336112f552bba363eb b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6f/311acafe33884da65e09336112f552bba363eb
new file mode 100644
index 0000000..e7d38bd
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/6f/311acafe33884da65e09336112f552bba363eb differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/7a/86800a1e5014521a80a730490f4e8eb230668d
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/7a/86800a1e5014521a80a730490f4e8eb230668d b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/7a/86800a1e5014521a80a730490f4e8eb230668d
new file mode 100644
index 0000000..e20207c
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/7a/86800a1e5014521a80a730490f4e8eb230668d differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/81/fe92a68b279e009f204e1004412e248635639a
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/81/fe92a68b279e009f204e1004412e248635639a b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/81/fe92a68b279e009f204e1004412e248635639a
new file mode 100644
index 0000000..cf6472b
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/81/fe92a68b279e009f204e1004412e248635639a differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/85/5aa4f727d6cd5b963318372f08dfb88f137089
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/85/5aa4f727d6cd5b963318372f08dfb88f137089 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/85/5aa4f727d6cd5b963318372f08dfb88f137089
new file mode 100644
index 0000000..8bd8e58
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/85/5aa4f727d6cd5b963318372f08dfb88f137089 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/87/0127e22ade2a60b9cf8fc28804d2bcf979718d
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/87/0127e22ade2a60b9cf8fc28804d2bcf979718d b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/87/0127e22ade2a60b9cf8fc28804d2bcf979718d
new file mode 100644
index 0000000..d707c09
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/87/0127e22ade2a60b9cf8fc28804d2bcf979718d differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/92/09a983605d6e43e5cf841a1ea18a1914bb7407
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/92/09a983605d6e43e5cf841a1ea18a1914bb7407 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/92/09a983605d6e43e5cf841a1ea18a1914bb7407
new file mode 100644
index 0000000..9493985
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/92/09a983605d6e43e5cf841a1ea18a1914bb7407 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/93/d1358c830cdb51f1f8a72514180a2a2aaecdc0
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/93/d1358c830cdb51f1f8a72514180a2a2aaecdc0 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/93/d1358c830cdb51f1f8a72514180a2a2aaecdc0
new file mode 100644
index 0000000..1e6d267
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/93/d1358c830cdb51f1f8a72514180a2a2aaecdc0 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a1/f2d99c88e2c758a45b0a29ede3984fbf4d6a98
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a1/f2d99c88e2c758a45b0a29ede3984fbf4d6a98 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a1/f2d99c88e2c758a45b0a29ede3984fbf4d6a98
new file mode 100644
index 0000000..72eac6e
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a1/f2d99c88e2c758a45b0a29ede3984fbf4d6a98 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a3/c7e7d600bca4a0ef582ebd3f7d3d43ddd95ae4
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a3/c7e7d600bca4a0ef582ebd3f7d3d43ddd95ae4 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a3/c7e7d600bca4a0ef582ebd3f7d3d43ddd95ae4
new file mode 100644
index 0000000..3edb33a
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/a3/c7e7d600bca4a0ef582ebd3f7d3d43ddd95ae4 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ac/26197814ff0319cb6b7ff104b331485ea8e4c3
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ac/26197814ff0319cb6b7ff104b331485ea8e4c3 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ac/26197814ff0319cb6b7ff104b331485ea8e4c3
new file mode 100644
index 0000000..3552860
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ac/26197814ff0319cb6b7ff104b331485ea8e4c3 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/af/eb41e442a70bb5c1e1b848756c6b78e2ea043f
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/af/eb41e442a70bb5c1e1b848756c6b78e2ea043f b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/af/eb41e442a70bb5c1e1b848756c6b78e2ea043f
new file mode 100644
index 0000000..0fa032f
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/af/eb41e442a70bb5c1e1b848756c6b78e2ea043f differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b0/e5e1455a42e2724dd17653011b3aa3eb342f39
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b0/e5e1455a42e2724dd17653011b3aa3eb342f39 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b0/e5e1455a42e2724dd17653011b3aa3eb342f39
new file mode 100644
index 0000000..12f1c81
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b0/e5e1455a42e2724dd17653011b3aa3eb342f39 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b5/3306f849b69ef0459ddf5cccff06b5fbb08c23
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b5/3306f849b69ef0459ddf5cccff06b5fbb08c23 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b5/3306f849b69ef0459ddf5cccff06b5fbb08c23
new file mode 100644
index 0000000..314330e
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/b5/3306f849b69ef0459ddf5cccff06b5fbb08c23 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ba/cd4ee105073117b30e5dcdba5150373b6b53c6
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ba/cd4ee105073117b30e5dcdba5150373b6b53c6 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ba/cd4ee105073117b30e5dcdba5150373b6b53c6
new file mode 100644
index 0000000..fe99cd8
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/ba/cd4ee105073117b30e5dcdba5150373b6b53c6 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/bc/10d293709276ff1bc29678d7d7bce4c99df800
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/bc/10d293709276ff1bc29678d7d7bce4c99df800 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/bc/10d293709276ff1bc29678d7d7bce4c99df800
new file mode 100644
index 0000000..883afdc
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/bc/10d293709276ff1bc29678d7d7bce4c99df800 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/d0/3813efea082ceb39458ae421503a80dd77e4a4
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/d0/3813efea082ceb39458ae421503a80dd77e4a4 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/d0/3813efea082ceb39458ae421503a80dd77e4a4
new file mode 100644
index 0000000..d016f1e
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/d0/3813efea082ceb39458ae421503a80dd77e4a4 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e5/e1779b3f8155120e01a963f9d001ad5081faa2
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e5/e1779b3f8155120e01a963f9d001ad5081faa2 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e5/e1779b3f8155120e01a963f9d001ad5081faa2
new file mode 100644
index 0000000..3273a1e
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e5/e1779b3f8155120e01a963f9d001ad5081faa2 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e8/4f294e93db6cd2f1fba1986f360933fb90eb2f
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e8/4f294e93db6cd2f1fba1986f360933fb90eb2f b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e8/4f294e93db6cd2f1fba1986f360933fb90eb2f
new file mode 100644
index 0000000..2985422
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/e8/4f294e93db6cd2f1fba1986f360933fb90eb2f differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/f7/1429f9ff9214a546b438c611ae942c9cf5a49e
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/f7/1429f9ff9214a546b438c611ae942c9cf5a49e b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/f7/1429f9ff9214a546b438c611ae942c9cf5a49e
new file mode 100644
index 0000000..b543850
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/f7/1429f9ff9214a546b438c611ae942c9cf5a49e differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/fe/a16119a5b4ec0562d4f65b4237314250773bf8
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/fe/a16119a5b4ec0562d4f65b4237314250773bf8 b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/fe/a16119a5b4ec0562d4f65b4237314250773bf8
new file mode 100644
index 0000000..6c36970
Binary files /dev/null and b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/objects/fe/a16119a5b4ec0562d4f65b4237314250773bf8 differ

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/packed-refs
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/packed-refs b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/packed-refs
new file mode 100644
index 0000000..7272fce
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/packed-refs
@@ -0,0 +1,2 @@
+# pack-refs with: peeled fully-peeled 
+e84f294e93db6cd2f1fba1986f360933fb90eb2f refs/heads/master

http://git-wip-us.apache.org/repos/asf/maven-scm/blob/f0cd0986/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/refs/heads/master
----------------------------------------------------------------------
diff --git a/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/refs/heads/master b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/refs/heads/master
new file mode 100644
index 0000000..89118e7
--- /dev/null
+++ b/maven-scm-providers/maven-scm-providers-git/maven-scm-provider-jgit/src/test/resources/repoWithSubdirs/refs/heads/master
@@ -0,0 +1 @@
+6ee023ce34f9dd5f3d579eed3d72277f17046b27


Mime
View raw message